org.apache.http.impl.client.cache

## Interface FailureCache

- All Known Implementing Classes:
    DefaultFailureCache

      public interface FailureCache

  Increase and reset the number of errors associated with a specific identifier.
  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCount(String identifier)` Get the current error count.
    `void` | `increaseErrorCount(String identifier)` Increases the error count by one.
    `void` | `resetErrorCount(String identifier)` Reset the error count back to zero.

- - ### Method Detail

    - #### getErrorCount

          int getErrorCount(String identifier)

      Get the current error count.
      Parameters:
        `identifier` - the identifier for which the error count is requested
      Returns:
        the currently known error count or zero if there is no record

    - #### resetErrorCount

          void resetErrorCount(String identifier)

      Reset the error count back to zero.
      Parameters:
        `identifier` - the identifier for which the error count should be reset

    - #### increaseErrorCount

          void increaseErrorCount(String identifier)

      Increases the error count by one.
      Parameters:
        `identifier` - the identifier for which the error count should be increased

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.